Skip to main content
POST
/
v1
/
checkout
/
sessions
Create a checkout session
curl --request POST \
  --url https://api.useduro.com/v1/checkout/sessions \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "planId": "<string>",
  "amount": 123,
  "currency": "NGN",
  "customerEmail": "jsmith@example.com",
  "customerPhone": "<string>",
  "successUrl": "<string>",
  "metadata": {}
}
'
{
  "id": "<string>",
  "token": "<string>",
  "url": "<string>",
  "status": "<string>",
  "amount": 123,
  "currency": "<string>",
  "planId": "<string>",
  "createdAt": "<string>"
}

Authorizations

Authorization
string
header
required

A secret key (sk_test_… / sk_live_…), OAuth token, or identity token.

Body

application/json
planId
string

Either planId or amount is required.

amount
integer
currency
string
default:NGN
customerEmail
string<email>
customerPhone
string
successUrl
string<uri>
metadata
object

Response

201 - application/json

Created

id
string
token
string
url
string
status
string
kind
enum<string>
Available options:
subscription,
one_time
amount
integer
currency
string
planId
string | null
createdAt
string